Package org.apache.solr.client.solrj.request

# Class JavaBinRequestWriter

java.lang.Object
org.apache.solr.client.solrj.request.RequestWriter
org.apache.solr.client.solrj.request.JavaBinRequestWriter

public class JavaBinRequestWriter extends RequestWriter
A RequestWriter which writes requests in the javabin format

Since:
  solr 1.4
See Also:
  - `RequestWriter`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.RequestWriter

`RequestWriter.ContentWriter, RequestWriter.StringPayloadContentWriter`

## Constructor Summary

Constructors
Constructor
Description
`JavaBinRequestWriter()`

## Method Summary

Modifier and Type
Method
Description
`Collection<ContentStream>`
`getContentStreams(SolrRequest<?> req)`
`RequestWriter.ContentWriter`
`getContentWriter(SolrRequest<?> req)`
To be implemented by subclasses to serialize update requests into the appropriate format.
`String`
`getUpdateContentType()`
`void`
`write(SolrRequest<?> request, OutputStream os)`

### Methods inherited from class org.apache.solr.client.solrj.request.RequestWriter

`isEmpty, isNull, isNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaBinRequestWriter

public JavaBinRequestWriter()

## Method Details

### getContentWriter

public RequestWriter.ContentWriter getContentWriter(SolrRequest<?> req)
Description copied from class: `RequestWriter`
To be implemented by subclasses to serialize update requests into the appropriate format.

If this method returns null, `RequestWriter.getContentStreams(SolrRequest)` is then invoked to get content.

Specified by:
  `getContentWriter` in class `RequestWriter`

### getContentStreams

public Collection<ContentStream> getContentStreams(SolrRequest<?> req) throws IOException

Specified by:
  `getContentStreams` in class `RequestWriter`
Throws:
  `IOException`

### getUpdateContentType

public String getUpdateContentType()

Specified by:
  `getUpdateContentType` in class `RequestWriter`

### write

public void write(SolrRequest<?> request, OutputStream os) throws IOException

Specified by:
  `write` in class `RequestWriter`
Throws:
  `IOException`